function m013;
%m013
%aplica mascara segun mouse
clf;
A=double(imread('_im_lenna_256.jpg'));
[nf nc]=size(A);

%visualiza sin Toolbox de Imagenes
colormap(gray(256));
subplot(2,2,1);image(A);disp('Presione dos click para definir mascara...');

[c1 f1]=ginput(1) %ojo ginput funciona con x,y
[c2 f2]=ginput(1)
f1=round(f1);
f2=round(f2);
c1=round(c1);
c2=round(c2);
mask=zeros(nf,nc);

for f=f1:f2
   for c=c1:c2
      mask(f,c)=1;
   end;
end;
subplot(2,2,2);imshow(mask,[]);title('Mask');disp('presione una tecla...');pause

tic
B=0*A;
for f=1:nf
   for c=1:nc
      B(f,c)=A(f,c)*mask(f,c);
   end;
end;
toc

tic
B=A.*mask;
B=A.*mask;
B=A.*mask;
toc

subplot(2,2,3);imshow(B,[]);title('A and Mask');disp('presione una tecla...');pause

B=A.*(1-mask);
subplot(2,2,4);imshow(B,[]);title('A and not Mask');


